import { MatchStoryResult, QueueMessage, StorySession } from 'quidproquo-core';
import { QueueEventResponse } from 'quidproquo-webserver';
import { QueueEvent } from 'quidproquo-webserver';
import { Context, SQSBatchResponse, SQSEvent } from 'aws-lambda';
export type AnyQueueMessageWithSession = QueueMessage<any> & {
    storySession: StorySession;
};
export type EventInput = [SQSEvent, Context];
export type EventOutput = SQSBatchResponse;
export type InternalEventRecord = QueueEvent<QueueMessage<any>>;
export type InternalEventOutput = QueueEventResponse;
export type MatchResult = MatchStoryResult<any, any>;
